Subject: Re: [tram] Errata 4826 on RFC 7635

From: Magnus Westerlund <[email-masked]>
Date: Wed, 13 Jan 2021 15:34:10 +0000

Hi,

I plan to put this errata into "Hold for document update". 

I think it a discussion of roles that goes beyond what the document intended
when written. 

Cheers

Magnus Westerlund

On Wed, 2020-09-23 at 14:29 +0000, Magnus Westerlund wrote:
> Hi,
> 
> I would like some feedback on what to do with this Errrata?
> 
> 
https://protect2.fireeye.com/v1/url?k=1654cef0-48f4749e-16548e6b-861d41abace8-2d0610ea7fcbda0e&q=1&e=baf40b99-4805-442e-8782-c21c956c6896&u=https%3A%2F%2Fwww.rfc-editor.org%2Ferrata%2Feid4826
> 
> Errata ID: 4826
> Status: Reported
> Type: Technical
> Publication Format(s) : TEXT
> Reported By: Mihály Mészáros
> Date Reported: 2016-10-10
> 
> Section 8. says:
> 
> 8.  STUN Client Behavior
> 
>    o  The client looks for the MESSAGE-INTEGRITY attribute in the
>       response.  If MESSAGE-INTEGRITY is absent or the value computed
>       for message integrity using mac_key does not match the contents of
>       the MESSAGE-INTEGRITY attribute, then the response MUST be
>       discarded.
> 
>    o  If the access token expires, then the client MUST obtain a new
>       token from the authorization server and use it for new STUN
>       requests.
> 
> It should say:
> 
> 8.  STUN Client Behavior
> 
>    o  The client looks for the MESSAGE-INTEGRITY attribute in the
>       response.  If MESSAGE-INTEGRITY is absent or the value computed
>       for message integrity using mac_key does not match the contents of
>       the MESSAGE-INTEGRITY attribute, then the response MUST be
>       discarded.
> 
> 9.  Application (OAuth Client) Behavior
> 
>    o  If the access token expires, then the Application (OAuth client) 
>       MUST obtain a new token from the authorization server, and update
>       STUN client to use it for new STUN requests.
> 
>    o  Application SHOULD pass only a subset of the received OAuth 
>       parameters to the STUN client. Only parameters SHOULD be passed 
>       that will be really needed and used by the STUN Client. 
>       In this way, only the kid, the mac_key, and the access_token
>       parameters SHOULD be passed to the STUN client.
>       
> 
> ...
> Renumber the sections
> ...
> 
> Notes:
> 
> 1. Remove from STUN client behaviour the access_token renewal function,
> and move this function up to application level.
> 2. Pass to STUN only that subset of the OAuth parameters, that will be really
> used by STUN Client. 
> 
>  
> Cheers
> 
> Magnus Westerlund 
> 
> 
> ----------------------------------------------------------------------
> Networks, Ericsson Research
> ----------------------------------------------------------------------
> Ericsson AB                 | Mobile +46 73 0949079
> Torshamnsgatan 23           |
> SE-164 80 Stockholm, Sweden | mailto: [email-masked]
> ----------------------------------------------------------------------
> 
> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram